Subject: Re: What's cooking in git.git (May 2022, #07; Wed, 25)

From: Junio C Hamano <[email-masked]>
Date: Thu, 26 May 2022 10:23:59 -0700

Victoria Dye <[email-masked]> writes:

>> * js/ci-github-workflow-markup (2022-05-21) 12 commits
>>  - ci: call `finalize_test_case_output` a little later
>>  - ci(github): mention where the full logs can be found
>>  - ci: use `--github-workflow-markup` in the GitHub workflow
>>  - ci(github): avoid printing test case preamble twice
>>  - ci(github): skip the logs of the successful test cases
>>  - ci: optionally mark up output in the GitHub workflow
>>  - ci/run-build-and-tests: add some structure to the GitHub workflow output
>>  - ci: make it easier to find failed tests' logs in the GitHub workflow
>>  - ci/run-build-and-tests: take a more high-level view
>>  - test(junit): avoid line feeds in XML attributes
>>  - tests: refactor --write-junit-xml code
>>  - ci: fix code style
>> 
>>  Update the GitHub workflow support to make it quicker to get to the
>>  failing test.
>> 
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> The latest version of this nicely addressed the feedback I originally had,
> particularly in improving page loading time. It's still slower than before
> this series, but IMO it's manageable (especially taking into account the
> improved information accessibility). 
>
> I don't see (or have) any other unaddressed concerns, so I'm in favor of
> moving it to 'next'.

I see Ævar sent another reroll of "rebuild the base" and "then
rebase a (hopefully) equivalent of this series on top", but I think
it is unhealthy to keep doing that.  Does the latest "rebuild the
base" part look unsalvageably and fundamentally bad that it is not
worth our time to consider joining forces to polish it sufficiently
and then build this on top?

If that is the case, then I am OK to merge this to 'next' to cast it
in stone, and then the let "rebuild the base" part once die, to be
reborn as many "tweak the way things work to (clarify|optimize) X"
follow-up topics.

Thanks.